path: /build/build/mokutil-sys-boot-0.7.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-boot/mokutil -pv -t && \
    emerge -j ${JOBS} --nodeps sys-boot/mokutil
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mokutil && luet-portage --dir /pkgdir/mokutil
    sys-boot/mokutil && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1dcd5460636c458bd0dba05d64dc8e65794f55784f027f6c03aeea7ba7dac5bc
  package:
    name: mokutil
    version: 0.7.0
    category: sys-boot
    requires:
    - name: efivar
      version: '>=0'
      category: sys-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The utility to manipulate machines owner keys which managed in shim
    uri:
    - https://github.com/lcp/mokutil
    license: GPL-3
    buildtimestamp: 2024-03-07 17:54:30.166024255 +0000 UTC m=+288.507710091
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: dev-libs/openssl:= sys-apps/keyutils:= sys-libs/efivar:=
      RDEPEND: dev-libs/openssl:= sys-apps/keyutils:= sys-libs/efivar:=
      emerge.packages: sys-boot/mokutil
      kit: core-kit
      original.package.name: sys-boot/mokutil
      original.package.slot: "0"
      original.package.version: 0.7.0
    treedir: /build/packages
  package_dir: /pkgdir/mokutil
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6e9d95e4b98085cb9e6da123849c9cbd1befeb9e7450814de51f4e6fa7bd970d
compressiontype: zstd
files:
- usr/bin/mokutil
- usr/share/bash-completion/completions/mokutil
- usr/share/doc/mokutil-0.7.0/README
- usr/share/doc/mokutil-0.7.0/TODO.bz2
- usr/share/man/man1/mokutil.1.bz2
- var/db/pkg/sys-boot/mokutil-0.7.0/BDEPEND
- var/db/pkg/sys-boot/mokutil-0.7.0/BUILD_TIME
- var/db/pkg/sys-boot/mokutil-0.7.0/CATEGORY
- var/db/pkg/sys-boot/mokutil-0.7.0/CBUILD
- var/db/pkg/sys-boot/mokutil-0.7.0/CFLAGS
- var/db/pkg/sys-boot/mokutil-0.7.0/CHOST
- var/db/pkg/sys-boot/mokutil-0.7.0/CONTENTS
- var/db/pkg/sys-boot/mokutil-0.7.0/COUNTER
- var/db/pkg/sys-boot/mokutil-0.7.0/CXXFLAGS
- var/db/pkg/sys-boot/mokutil-0.7.0/DEFINED_PHASES
- var/db/pkg/sys-boot/mokutil-0.7.0/DEPEND
- var/db/pkg/sys-boot/mokutil-0.7.0/DESCRIPTION
- var/db/pkg/sys-boot/mokutil-0.7.0/EAPI
- var/db/pkg/sys-boot/mokutil-0.7.0/FEATURES
- var/db/pkg/sys-boot/mokutil-0.7.0/HOMEPAGE
- var/db/pkg/sys-boot/mokutil-0.7.0/INHERITED
- var/db/pkg/sys-boot/mokutil-0.7.0/IUSE
- var/db/pkg/sys-boot/mokutil-0.7.0/IUSE_EFFECTIVE
- var/db/pkg/sys-boot/mokutil-0.7.0/KEYWORDS
- var/db/pkg/sys-boot/mokutil-0.7.0/LDFLAGS
- var/db/pkg/sys-boot/mokutil-0.7.0/LICENSE
- var/db/pkg/sys-boot/mokutil-0.7.0/NEEDED
- var/db/pkg/sys-boot/mokutil-0.7.0/PF
- var/db/pkg/sys-boot/mokutil-0.7.0/RDEPEND
- var/db/pkg/sys-boot/mokutil-0.7.0/REQUIRES
- var/db/pkg/sys-boot/mokutil-0.7.0/SIZE
- var/db/pkg/sys-boot/mokutil-0.7.0/SLOT
- var/db/pkg/sys-boot/mokutil-0.7.0/USE
- var/db/pkg/sys-boot/mokutil-0.7.0/environment.bz2
- var/db/pkg/sys-boot/mokutil-0.7.0/mokutil-0.7.0.ebuild
- var/db/pkg/sys-boot/mokutil-0.7.0/repository
package_cacheimage: ""
runtime:
  name: mokutil
  version: 0.7.0
  category: sys-boot
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: keyutils
    version: '>=0'
    category: sys-apps
  - name: efivar
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The utility to manipulate machines owner keys which managed in shim
  uri:
  - https://github.com/lcp/mokutil
  license: GPL-3
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/openssl:= sys-apps/keyutils:= sys-libs/efivar:=
    RDEPEND: dev-libs/openssl:= sys-apps/keyutils:= sys-libs/efivar:=
    emerge.packages: sys-boot/mokutil
    kit: core-kit
    original.package.name: sys-boot/mokutil
    original.package.slot: "0"
    original.package.version: 0.7.0
